V2 Assign Knowledge Base#
V2 Assign Knowledge Base. Use the public agent id from List Agents. This path only accepts V2 agents allowed by the company package.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
agent_idstringpathrequired
Public agent id from List Agents
knowledge_base_idsarraybodyrequired
Request field
knowledge_base_ids.*stringbody
Request field
curl --request POST \
--url https://app.rizzdial.com/api/ai/agent/v2/manage/intelligence/knowledge-base/agent_123 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"knowledge_base_ids":[],"knowledge_base_ids.*":"value"}'successboolean
true when the call succeeds. Some list responses use status: success instead
dataobject
The saved record, or the list of records